// Copyright 2000-2022 JetBrains s.r.o. and contributors. Use of this source code is governed by the Apache 2.0 license.
package com.intellij.ide.actions

import com.intellij.jarRepository.RepositoryLibrarySettings
import com.intellij.jarRepository.RepositoryLibraryUtils
import com.intellij.openapi.actionSystem.ActionUpdateThread
import com.intellij.openapi.actionSystem.AnActionEvent
import com.intellij.openapi.project.DumbAwareAction

class EnableAllRepositoryLibrariesSha256ChecksumAction : DumbAwareAction() {
  override fun getActionUpdateThread() = ActionUpdateThread.BGT

  override fun update(e: AnActionEvent) {
    val project = e.project ?: return
    e.presentation.isEnabledAndVisible = RepositoryLibrarySettings.getInstanceOrDefaults(project).isSha256ChecksumUiSettingsDisplayed()
  }

  override fun actionPerformed(e: AnActionEvent) {
    val project = e.project ?: return
    RepositoryLibraryUtils.getInstance(project).buildMissingSha256ChecksumsBackground()
  }
}